# Generated from tmuxinator-2.0.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name tmuxinator

Name: %{gem_name}
Version: 3.3.3
Release: 1%{?dist}
Summary: Create and manage complex tmux sessions easily
License: MIT
URL: https://github.com/tmuxinator/tmuxinator
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: tmux >= 2.7
BuildRequires: ruby(release)
BuildRequires: ruby >= 2.6.7
BuildRequires: rubygems-devel
BuildRequires: rubygem(coveralls) >= 0.8
BuildRequires: rubygem(coveralls) < 1
BuildRequires: rubygem(factory_bot) >= 4.8
BuildRequires: rubygem(pry) >= 0.10
BuildRequires: rubygem(pry) < 1
BuildRequires: rubygem(rspec) >= 3.3
BuildRequires: rubygem(rspec) < 4
BuildRequires: rubygem(erubi) >= 1.7
BuildRequires: rubygem(thor) >= 1.3
BuildRequires: rubygem(xdg) >= 2.2
BuildArch: noarch

%description
Create and manage complex tmux sessions easily.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

gem spec %{SOURCE0} -l --ruby > %{gem_name}.gemspec


%build
# Create the gem as gem install only works on a gem file
gem build %{gem_name}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

# Install bash completion
install -d -m 0755 %{buildroot}%{_sysconfdir}/bash_completion.d/
install -p -m 644 completion/%{name}.bash %{buildroot}%{_sysconfdir}/bash_completion.d/

# Install fish completion
install -d -m 0755 %{buildroot}%{_datadir}/fish/vendor_completions.d/
install -p -m 644 completion/%{name}.fish %{buildroot}%{_datadir}/fish/vendor_completions.d/

# Install zsh completion
install -d -m 0755 %{buildroot}%{_datadir}/zsh/site-functions/
install -p -m 644 completion/%{name}.zsh %{buildroot}%{_datadir}/zsh/site-functions/

# Run the test suite
#%check
#pushd .%{gem_instdir}
#rspec spec
#popd

%files
%dir %{gem_instdir}
%{_bindir}/tmuxinator
%{gem_instdir}/bin
%{gem_instdir}/completion
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}
%{_sysconfdir}/bash_completion.d/%{name}.bash
%{_datadir}/fish/vendor_completions.d/%{name}.fish
%{_datadir}/zsh/site-functions/%{name}.zsh

%files doc
%doc %{gem_docdir}
%{gem_instdir}/spec

%changelog
* Tue Nov 19 2024 Alex <redhat@att.org.ru> - 3.3.3
- Updated to 3.3.3

* Thu Oct 24 2024 Alex <redhat@att.org.ru> - 3.3.2
- Updated to 3.3.2

* Mon Sep 30 2024 Alex <redhat@att.org.ru> - 3.3.1
- Updated to 3.3.1

* Mon Jun 17 2024 Alex <redhat@att.org.ru> - 3.3.0
- Updated to 3.3.0

* Thu May 23 2024 Alex <redhat@att.org.ru> - 3.2.1
- Updated to 3.2.1

* Sat Apr 20 2024 Alex <redhat@att.org.ru> - 3.2.0
- Updated to 3.2.0

* Sat Feb 17 2024 Alex <redhat@att.org.ru> - 3.1.2
- Updated to 3.1.2

* Thu Feb 15 2024 Alex <redhat@att.org.ru> - 3.1.1
- Updated to 3.1.1

* Thu Jan 11 2024 Alex <redhat@att.org.ru> - 3.1.0
- Updated to 3.1.0

* Thu Jun  9 2022 Alex <redhat@att.org.ru> - 3.0.5
- Updated to 3.0.5

* Thu Jun  2 2022 Alex <redhat@att.org.ru> - 3.0.3
- Updated to 3.0.3

* Thu Feb 17 2022 Alex <redhat@att.org.ru> - 3.0.2
- Updated to 3.0.2

* Tue Jun 15 2021 Alex <redhat@att.org.ru> - 3.0.1-2
- Some fixes

* Tue Jun 15 2021 Alex <redhat@att.org.ru> - 3.0.1
- Updated to 3.0.1

* Mon Jun  7 2021 Alex <redhat@att.org.ru> - 3.0.0
- Updated to 3.0.0

* Thu Mar 25 2021 Alex <redhat@att.org.ru> - 2.0.2-3
- Fixed dependencies

* Sat Jan 16 2021 jimtahu <jimtahu@gmail.com> - 2.0.2-2
- Patch to switch use of erubis to erubi

* Tue Nov 10 2020 jimtahu <jimtahu@gmail.com> - 2.0.2-1
- Update to latest upstream

* Sun Oct 25 2020 jimtahu <jimtahu@gmail.com> - 2.0.1-1
- Unretire based on gem2rpm output
- Improve use of spec tests

* Sat Jul 27 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.11-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Sun Feb 03 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.11-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.11-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.11-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.11-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.11-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Fri Jul 22 2016 Adam Miller <maxamillion@fedoraproject.org> - 0.6.11-2
- Add shell completion for bash, fish, and zsh

* Thu Feb 25 2016 Adam Miller <maxamillion@fedoraproject.org> - 0.6.11-1
- Update to latest upstream - BZ#1306410 (Thanks dridi.boukelmoune@gmail.com
  for the spec patch)

* Fri Feb 05 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.8-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Jun 19 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.8-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Tue Jul 08 2014 Adam Miller <maxamillion@fedoraproject.org> - 0.6.8-1
- Update to latest upstream
- Add tests

* Tue Jan 28 2014 Adam Miller <maxamillion@fedoraproject.org> - 0.6.6-2
- Add macros to handle RHEL builds for EPEL

* Thu Nov 21 2013 Adam Miller <maxamillion@fedoraproject.org> - 0.6.6-1
- Initial package for Fedora
